import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/recommendrecord/` + url, ...arg)

/**
 * 推荐记录表Api接口管理器
 *
 * @author wulei
 * @date  2025/02/06 17:42
 **/
export default {
	// 获取推荐记录表分页
	bizRecommendRecordPage(data) {
		return request('page', data, 'get')
	},
	// 提交推荐记录表表单 edit为true时为编辑，默认为新增
	bizRecommendRecordSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除推荐记录表
	bizRecommendRecordDelete(data) {
		return request('delete', data)
	},
	// 获取推荐记录表详情
	bizRecommendRecordDetail(data) {
		return request('detail', data, 'get')
	}
}
